

set -ex



export MATRIX_GPU_ARCH_VERSION="12.3"
export MATRIX_GPU_ARCH_TYPE="mps"
export MATRIX_CHANNEL="defaults"
export MATRIX_STABLE_VERSION="2.2.0"
export MATRIX_PACKAGE_TYPE="conda"
export TARGET_OS="unix"
python ./smoke_test.py --package torchonly
python ./test/run_test.py --core --continue-through-error || true
pip check
python -c "import torch; print(torch.__version__)"
python -c "import torch; import numpy"
python -c "import numpy; import torch"
python -c "import torch; assert torch.distributed.is_available()"
python -c "import torch; assert torch.backends.mps.is_built()"
exit 0
